首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
华为云
V2EX  ›  Puppet

用 Ubuntu 内置的 Puppet 的话,还能否接收到来自官方的安全更新呢?

  •  
  •   Livid · 2013-08-28 16:37:50 +08:00 · 2649 次点击
    这是一个创建于 1812 天前的主题,其中的信息可能已经有所发展或是发生改变。
    发现 precise 里的 Puppet 的版本就一直停留在 2.7.11,但是最近的安全漏洞似乎是在 2.7.23 里修正了。
    4 回复  |  直到 1970-01-01 08:00:00 +08:00
        1
    terry   2013-08-28 19:45:31 +08:00   ♥ 1
    用 Puppet Labs 官方的 APT repository 吧, Ubuntu 12.04 LTS 官方源里的 Puppet 包不会有大版本升级的。

    我们用 Chef 以前是用 rbenv 编译 ruby 然后装 chef gem 现在直接用官方的 shell 脚本装发行版对应的包 ;-)
        2
    vibbow   2013-08-28 22:51:03 +08:00   ♥ 1
    Ubuntu 的更新很神奇的。
    就拿PHP来说,在12.04里,你看着PHP版本依然停留在5.3.10,实际上它是一直在跟着官方更新的。只不过大版本号不变,变的是Ubuntu的小版本号。
        3
    vibbow   2013-08-28 22:52:42 +08:00
    root@3235026334:~# php -v
    PHP 5.3.10-1ubuntu3.7 with Suhosin-Patch (cli) (built: Jul 15 2013 18:05:44)
    Copyright (c) 1997-2012 The PHP Group
    Zend Engine v2.3.0, Copyright (c) 1998-2012 Zend Technologies

    http://php.net/archive/2013.php#id2013-07-11-1

    PHP官方对5.3的最后更新是7月11号。Ubuntu对PHP 5.3的最后编译日期是7月15号。
        4
    lidashuang   2013-08-29 00:16:48 +08:00
    @vibbow 这才是正常的
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   鸣谢   ·   实用小工具   ·   3100 人在线   最高记录 3762   ·  
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.1 · 16ms · UTC 08:36 · PVG 16:36 · LAX 01:36 · JFK 04:36
    ♥ Do have faith in what you're doing.
    沪ICP备16043287号-1